﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="index.aspx.cs" Inherits="aspnet_gridview_custom_paging_index" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Custom Paging without using Controls like GridView and Repeater | YogiHosting Demo</title>
    <link rel="icon" type="image/png" href="http://www.yogihosting.com/wp-content/themes/yogi-yogihosting/Images/favicon.ico" />
    <style>
        body {
            background: #111 no-repeat;
            background-image: -webkit-gradient(radial, 50% 0, 150, 50% 0, 300, from(#444), to(#111));
        }

        h1, h2 {
            text-align: center;
            color: #FFF;
        }

            h2 a {
                color: #0184e3;
                text-decoration: none;
            }

        .container {
            width: 960px;
            margin: auto;
            color: #FFF;
            font-size: 25px;
        }

        #content {
            border: dashed 2px #CCC;
            padding: 10px;
            overflow: auto;
        }

        #myGrid {
            margin: 25px auto 0 auto;
        }

            #myGrid > table > tbody > tr:nth-child(1) {
                background-color: #0f40e0;
            }

            #myGrid > table > tbody > tr:not(:nth-child(1)) {
                background-color: #ff6a00;
            }

                #myGrid > table > tbody > tr:not(:nth-child(1)) > th {
                    font-weight: 100;
                }

            #myGrid > table > tbody > tr.pagingDiv {
                background-color: #f2f2f2;
            }

                #myGrid > table > tbody > tr.pagingDiv table {
                    padding-left: 10px;
                    width: 35%;
                }

                    #myGrid > table > tbody > tr.pagingDiv table td {
                        display: inline;
                    }

        #pagingDiv a, #pagingDiv span {
            display: inline-block;
            padding: 0px 9px;
            margin-right: 4px;
            border-radius: 3px;
            border: solid 1px #c0c0c0;
            background: #e9e9e9;
            box-shadow: inset 0px 1px 0px rgba(255,255,255, .8), 0px 1px 3px rgba(0,0,0, .1);
            font-size: .875em;
            font-weight: bold;
            text-decoration: none;
            color: #717171;
            text-shadow: 0px 1px 0px rgba(255,255,255, 1);
        }

            #pagingDiv a:hover {
                background: #fefefe;
                background: -webkit-gradient(linear, 0% 0%, 0% 100%, from(#FEFEFE), to(#f0f0f0));
                background: -moz-linear-gradient(0% 0% 270deg,#FEFEFE, #f0f0f0);
            }

            #pagingDiv a.active {
                border: none;
                background: #616161;
                box-shadow: inset 0px 0px 8px rgba(0,0,0, .5), 0px 1px 0px rgba(255,255,255, .8);
                color: #f0f0f0;
                text-shadow: 0px 0px 3px rgba(0,0,0, .5);
            }

        #pagingDiv span {
            color: #f0f0f0;
            background: #616161;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <h1>Custom Paging without using Controls like GridView and Repeater</h1>
        <h2><a href="http://www.yogihosting.com/custom-paging-in-asp-net-without-using-controls-like-gridview-and-repeater/">Read the tutorial on YogiHosting »</a></h2>
        <div class="container">
            <div id="content">
                <div id="myGrid" runat="server">
                </div>
                <div id="pagingDiv" runat="server"></div>
            </div>
        </div>
    </form>
</body>
</html>
